package fishrungames.bashgid;

import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ListView;

public class MainPageFragment extends Fragment {
	
	ListView teaserListView;

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		View rootView = inflater.inflate(R.layout.fragment_main_page, container, false);
		
	
		teaserListView = (ListView) rootView.findViewById(R.id.teaserListView);
		
		teaserListView.setAdapter(new SlideListAdapter(getActivity()));

		return rootView;
	}
	
	
	public class SlideListAdapter extends BaseAdapter {
	    private Context mContext;

	    public SlideListAdapter(Context c) {
	        mContext = c;
	    }

	    public int getCount() {
	        return 7;
	    }

	    public Object getItem(int position) {
	        return null;
	    }

	    public long getItemId(int position) {
	        return 0;
	    }

	    // create a new ImageView for each item referenced by the Adapter
	    public View getView(int position, View convertView, ViewGroup parent) {
	        
	    	
	    	View view;
	        if (convertView == null) {  // if it's not recycled, initialize some attributes
	        	LayoutInflater inflater = (LayoutInflater) mContext.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	        	view = inflater.inflate(R.layout.teaser_list_element, null);
	        } else {
	        	view = convertView;
	        }
	        

	        return view;
	    }

	}
}
